Subject: [v6ops] I-D Action: draft-ietf-v6ops-mobile-device-profile-07.txt

From: [email-masked]
Date: Tue, 11 Mar 2014 03:30:07 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the IPv6 Operations Working Group of the IETF.

        Title           : An Internet Protocol Version 6 (IPv6) Profile for 3GPP Mobile Devices
        Authors         : David Binet
                          Mohamed Boucadair
                          Ales Vizdal
                          Cameron Byrne
                          Gang Chen
	Filename        : draft-ietf-v6ops-mobile-device-profile-07.txt
	Pages           : 17
	Date            : 2014-03-11

Abstract:
   This document defines an IPv6 profile that a number of operators
   recommend in order to connect 3GPP mobile devices to an IPv6-only or
   dual-stack wireless network (including 3GPP cellular network and IEEE
   802.11 network).

   This document defines a different profile than the one for general
   connection to IPv6 cellular networks defined in [RFC7066].  In
   particular, this document identifies also features to deliver IPv4
   connectivity service over an IPv6-only transport.

   Both hosts and devices with capability to share their WAN (Wide Area
   Network) connectivity are in scope.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-v6ops-mobile-device-profile/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-v6ops-mobile-device-profile-07

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-v6ops-mobile-device-profile-07

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 11 Mar 2014 14:53:43 +0000

Hi, I didn't notice MobileIP as being listed in the profile.
Has there been some kind of determination/consideration
regarding MobileIP and the like?

Thanks - Fred
[email-masked]

> -----Original Message-----
> From: v6ops [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: Tuesday, March 11, 2014 3:30 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [v6ops] I-D Action: draft-ietf-v6ops-mobile-device-profile-07.txt
> 
> 
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops

---

From: Cb B <[email-masked]>
Date: Tue, 11 Mar 2014 08:00:43 -0700

> regarding MobileIP and the like?

The scope of the doc is 3gpp.

Mobile ip, generally speaking, does not use mobile ip.

CB

> > Subject: [v6ops] I-D Action:
draft-ietf-v6ops-mobile-device-profile-07.txt

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 11 Mar 2014 15:12:08 +0000

Not sure I got that, but if there is a consideration for MobileIP then might also
want to look at AERO, which basically treats the phone as a mobile router for
IPv6 w/o using MobileIP:

https://datatracker.ietf.org/doc/draft-templin-aerolink/

AERO also has built-in route optimization, and works equally well over either
IPv4 or IPv6 as the carrier network.

Thanks - Fred

From: Cb B [mailto:[email-masked]]
Sent: Tuesday, March 11, 2014 8:01 AM
To: Templin, Fred L
Cc: [email-masked]
Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-mobile-device-profile-07.txt

CB

> Thanks - Fred
> [email-masked]<mailto:[email-masked]>
>
> > From: v6ops [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of [email-masked]<mailto:[email-masked]>
> > To: [email-masked]<mailto:[email-masked]>
> > Cc: [email-masked]<mailto:[email-masked]>
> > until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.
> >
> > [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>

---

From: "Sri Gundavelli (sgundave)" <[email-masked]>
Date: Thu, 13 Mar 2014 16:29:37 +0000

> Mobile ip, generally speaking, does not use mobile ip.

I've not reviewed this doc. But, to the specific point below ..

3GPP S2c is about a mobile node attaching to 3GPP access using DSMIP (RFC6275/RFC5555). So, the specs do support that interface.

One may argue there is not much traction for client-based mobility, but thats a different issue.

Sri

From: Cb B <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, March 11, 2014 8:00 AM
To: "Templin, Fred L" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [v6ops] I-D Action: draft-ietf-v6ops-mobile-device-profile-07.txt

CB

---

From: <[email-masked]>
Date: Fri, 14 Mar 2014 10:29:13 +0100

Hi Sri,

Client-based IP mobility is optional in 3GPP. The support of rfc5555 is not required for the mobile deployments we are of.

FWIW, RFC5555 was listed as a MAY in an old version of the document, but it was removed to be aligned with the spirit of the document: focus on core features to provide IPv6 connectivity and those to avoid IPv4 continuity over IPv6 service disruption.

Cheers,
Med

De : v6ops [mailto:[email-masked]] De la part de Sri Gundavelli (sgundave)
Envoyé : jeudi 13 mars 2014 17:30
À : Cb B; Templin, Fred L
Cc : [email-masked]
Objet : Re: [v6ops] I-D Action: draft-ietf-v6ops-mobile-device-profile-07.txt

Sri

CB

---

From: "Sri Gundavelli (sgundave)" <[email-masked]>
Date: Fri, 14 Mar 2014 16:45:13 +0000

Hi Mohamed,

Client-based S2b/S2c interfaces are the means to access packet core services and are indeed optional interfaces.

The abstract of this document clearly indicates that the IPv6 profile is for allowing a UE to attach to either a 3GPP or WLAN access network. Now, if its a untrusted WLAN access, the possible means to access the packet core services is using either S2b or s2c interfaces. So, in this context, do you view those interfaces as optional or mandatory ?

Looking at Req 12, Req 15, are these mandatory per 3GPP specs ? AFAIK, none of the IPv6 transitioning approaches are mandatory in 3GPP specs.

May be I did not follow the approach here.  If you can clarify the approach that the document follows when including/excluding a profile for a specific protocol, then it will help me.

Regards
Sri

From: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Friday, March 14, 2014 2:29 AM
To: Sri Gundavelli <[email-masked]<mailto:[email-masked]>>, Cb B <[email-masked]<mailto:[email-masked]>>, "Templin, Fred L" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [v6ops] I-D Action: draft-ietf-v6ops-mobile-device-profile-07.txt

Hi Sri,

Cheers,
Med

Cc : [email-masked]<mailto:[email-masked]>

Sri

CB